<?php
	$seiten_id = 'analogrechner';
	$version = '$Id: analogrechner.php 1058 2016-12-05 16:25:36Z heribert $';
	$titel = 'Analog- und Hybridrechner';
	
	require "../../lib/technikum29.php";
?>
    <h2>Analog- und Hybridrechner</h2>

    <p>Analogrechner wurden zur Berechnung mathematischer, physikalischer und technischer Probleme verwendet. Dies insbesondere dann, wenn die Variablen sich zeitlich kontinuierlich ändern oder wenn sich die Abhängigkeit in Form einer Differentialgleichung mathematisch darstellen lässt.<br>
	Ohne Berücksichtigung ihres physikalischen oder technischen Ursprungs bezeichnet man alle Systeme, die zu ein und derselben mathematischen Modellvorstellung führen, als einander analoge Systeme. Die Güte der Analogie eines Systems hängt von der Approximationsgenauigkeit des Modells (Analogrechner) und von der Wiedergabegenauigkeit ab. Je nach Kaufpreis waren die Analogrechner diesbezüglich sehr verschieden.</p>
    <p>Analogrechner simulieren das vorgegebene Problem indem sie ein physikalisches System bilden, das den gleichen Gesetzen gehorcht. Dieses System wird durch elektrische Netzwerke, welche sich im Rechner befinden (Negator, Summierer, Integrierer, Multiplizierer, Funktionsgeber....) auf dem Patchboard "zusammengestöpselt". Dabei lassen sich auch nichtlineare Probleme lösen, deren Differentialgleichung in geschlossener Form nicht lösbar ist. Im Gegensatz zum Digitalrechner werden hier die Systemgrößen gemessen und nicht gezählt.</br>
	Analogrechner eignen sich daher wenig zur Lösung algebraischer Gleichungen und überhaupt nicht für kaufmännische Berechnungen.</p>
	
    <p>Im Museum sind u.a. Rechnersysteme von Telefunken (1960-64) installiert die eindrucksvoll Kurven auf dem Speicheroszilloskop und xy-Schreiber zeichnen. Sie lösten schwierige Probleme für die damalige Zeit recht schnell, doch waren Bedienung, Programmierung (Steckkabel) und Auswertung alles andere als einfach.</p>
 
		
    <h3 id="heathkit-h1">Heathkit Analog Computer H1 (ES-400)</h3>
    <div class="box center" style="margin-bottom: 0;">
        <img src="/shared/photos/rechnertechnik/heathkit-analog-computer.jpg" width="694" height="443" alt="Heathkit Analog Computer H1 (ES-400)" />

        <p>Heathkit, bekannt durch seine Bausätze, entwickelte 1956 einen Analogrechner, der vorwiegend für die Ausbildung gedacht war. So entstand ein Ungetüm mit 70 Röhren, wobei 45 wegen der besseren Kühlung außen platziert waren. Dieser Lehrcomputer für Übungszwecke ist mit 15 Rechenverstärkern ausgestattet.</p>
    </div>

    <div class="box left clear-after" style="margin-top: 0;">
       <img src="/shared/photos/rechnertechnik/heathkit-detail.jpg" alt="Ausschnitt des Heathkit Analog Computers H1" width="400" height="277" class="nomargin-bottom" />
       <div class="bildtext">
          Er demonstriert archaisch frühe Technik der 1. Generation. Dazu passend ist ein röhrenbestückter xy-Schreiber angeschlossen.
		   <br />Dieses Gerät ist eine Leihgabe des <a href="http://www.fitg.de">"FITG" (Frankfurt) </a></div>
	<p class="small">Ausschnittsweise Übersetzung aus dem Originalprospekt:<br>	   "Dies ist ein sehr flexibler und genauer analoger Computer der entworfen wurde um Anforderungen zu genügen, die derzeit nicht durch kommerzielle Computer erfüllt werden können. Es ist ein Instrument für den Einsatz in der Industrie und an Universitäten. Ein fortschrittlicher "Rechenschieber", der Ingenieuren oder Mitarbeiter in der Forschung erlaubt, elektronisch Gleichungen oder physikalische Probleme zu simulieren. Er erspart viele Stunden Zeit die sonst für Berechnungen oder für Experimente investiert werden müsste .....<br>
Da es sich um einen Bausatz handelt, wird ein Teil der Anschaffungskosten eingespart. Daher eignen sich Heath Computer für den Einsatz in Situationen, in denen ein Computer in der Vergangenheit wegen der hohen Kosten nicht eingesetzt werden konnte......."</small></p>

     </div> 
    


    <div class="box left clear-after">	 
        <h3 id="heathkit-ec1">Heathkit Analog Computer EC-1</h3><br>
        <img src="/shared/photos/rechnertechnik/heathkit-ec1.jpg" width="400" height="252" alt="Heathkit EC-1" />
        <p>Dies ist ein sehr kleiner ab 1960 gebauter Analogrechner für Schulen und Ausbildung. Aufgebaut mit nur 17 Röhren (davon 5 für die Spannungsstabilisierung) war er gerade gut, um das Prinzip des Analogrechners zu verdeutlichen. Für ernsthafte Berechnungen war er zu klein und zu ungenau. Ein abgespeckter ES-400 der 1960 als Bausatz stolze 1.494,- DM kostete, betriebsfertig jedoch 1.894,- DM (ca. 900 Euro).</p>
    </div>

     <div class="box right">
        <h3 id="rat700">Telefunken RAT 700</h3><br>
        <img src="/shared/photos/rechnertechnik/telefunken_rat700.jpg" width="291" height="917" title="Telefunken RAT 700" />
        <div class="bildtext">
            <p>Die Abbildung rechts zeigt unten den <b>Telefunken RAT 700</b> (erstes Modell von 1961), dar&uuml;ber ein Nachfolgermodell. Beide Rechner verfügen über 15 Rechenverstärker. Bei dem neueren Rechner kann man das gesamte Steckboard austauschen und so Programme schnell wechseln. Über diesem befinden sich ein Speicheroszilloskop und darüber schließlich ein xy-Schreiber zum Aufzeichnen langsamer Vorgänge.
            <br />Im eingeschalteten Zustand vernimmt man ein schwebendes Summen (400 Hz), bedingt durch die mechanischen Chopper, die Gleichspannungen in Wechselspannungen umwandeln. Nur so war der störende Temperaturdrift (Änderung der Germanium-Transistorparameter) unwirksam. Im Prinzip werden auch heute Gleichspannungen mit Hilfe von Choppern verstärkt. Nur sind diese elektronisch aufgebaut.</p>
        </div>
		<!-- bewusst kein clear -->
	</div>
	<h3 id="gte-ea22">GTE Analogrechner EA22</h3>
	<div class="box center" style="margin-right: 291px">
        
        <img src="/shared/photos/rechnertechnik/gte-analogrechner.jpg" width="312" height="346" title="GTE Analogrechner EA22" />
		<p>Die Änhnlichkeit des EA22 von GTE mit den Telefunken Rechnern ist auffällig. Der GTE Rechner hat jedoch mehr Rechenverstärker ( 22 Stück), ist übersichtlicher und insbesondere servicefreundlicher aufgebaut. Dieser Analogrechner wurde Anfang der 60er Jahre von der Firma <u>G</u>oldmann <u>T</u>echnische <u>E</u>lektronik, Ulm/Donau hergestellt.</p>
	</div>
    <div class="clear">&nbsp;</div>
	
   <h3 id="eai180">EAI 180 und EAI 185 Hybridrechner</h3><br>
	
     
        <p>EAI 180 von "Electronic Associates Incorporated", New Jersey,  ist ein sogenannter <b>Hybrid-Recher</b> (hybris [griech.]: Von zweierlei Abkunft),  Baujahr 1970. Er beinhaltet die Komponenten eines Analogrechners und die eines Digitalrechners. Das Ger&auml;t ist mit ICs der ersten Generation (DTL-Technik) ausgestattet. Die Rechen-Schaltung wird per Kabel am Frontpannel zusammengesteckt. Die Zykluszeit des analogen Teils kann auf weniger als 10&nbsp;ms eingestellt werden. Eine zu l&ouml;sende Gleichung wird dann mindestens 100 Mal pro Sekunde gel&ouml;st. Damit ben&ouml;tigt man zum Betrachten der Kurven nur ein einfaches Oszilloskop.</p>
		
       <div class="box center auto-bildbreite">
        <img src="/shared/photos/rechnertechnik/eai180.jpg" width="545" height="435" alt="EAI 180 Hybridrechner" /> <p class="bildtext"><b>EAI 180 Hybridrechner</b>
    </div>
	
    <div class="box center auto-bildbreite">
        <img src="/shared/photos/rechnertechnik/eai,185.jpg" width="545" height="535" style="float:none" alt="EAI 185 Hybridrechner" /><p class="bildtext"><b>EAI 185 Hybridrechner</b>
        <p></div>
            <p>Die beiden EAI Rechner sind im Prinzip identisch. Der Untere ist jedoch weiter ausgebaut.
            Beide Rechner waren im Praktikum für Physiker, Chemiker und Ingenieure von Technischen Hochschulen eingesetzt.<br/>
            Eine typische Aufgabe zur Simulation eines Vorganges war z.B.:<br/>
            "Untersuchen Sie das Schwingungsverhalten einer PKW-Radaufhängung, wenn der Fahrer über einen Bordstein fährt". <br/>
            Hier gibt es eine Menge Variablen, z.B. Geschwindigkeit des PKW, Höhe des Bordsteins, Feder- und Dämpfungskonstante der Radaufhängung, Anfahrtwinkel gegen den Bordstein, Luftdruck des Reifens und schlimmstenfalls weitere Parameter. Jeder Variablen wurde ein Potentiometer zugeordnet. So konnte man sehr schnell eine Optimierung der für die Entwicklungsingenieure von PKW´s wichtigen Feder- und Dämpfungskomponenten finden, insbesondere war der Einfluss von jedem Parameter sofort am Oszillogramm zu erkennen.                 
        </p>
  
    <h3 id="do240">Dornier DO 240 Analogrechner</h3>
	
    <div class="box left clear-after">
         <img src="/shared/photos/rechnertechnik/do_240.jpg" alt="Dornier DO 240" width="424" height="412"/>
         <p>Während die EAI Hybridrechner mit mäßiger Genauigkeit fast nur für Unterrichtszwecke verwendet wurden, ist der Analogrechner DO 240 der Firma DORNIER (durch den Bau von Flugzeugen bekannt) ein wahres Präzisionsinstrument. Auf kleinstem Raum sind sehr viele Komponenten untergebracht. U.a. Digitalpotentiometer, die durch Taktimpulse einstellbar sind, ein sehr vielfältig einstellbarer digitaler Taktgenerator (Anzeige mit Nixieröhren), Digitalzähler, 2 Funktionsgeneratoren und vieles mehr. Der Rechner wurde Anfang der 70er Jahre gebaut und kostete ca. 80.000,- DM (ca. 40.000,- Euro).<br>
             Dieser Rechnertyp wurde jedoch nicht von Dornier selbst entwickelt, sondern es sind Nachbauten der von Simulators Inc. entwickelten Systeme. Deren Patente wurden von Dornier aufgekauft. 
         </p></div>
    
	<h3>Rechenschieber und Rechenwalze</h3>
    <div class="box center auto-bildbreite">
        <img src="/shared/photos/rechnertechnik/rechenschieber.jpg" alt="Rechenschieber und Rechenwalze" width="694" height="161"/></div>
        <p>
		    Nicht unerwähnt sollen die Möglichkeiten bleiben, wie man bis zu Beginn der 70er Jahre ohne Taschen- und Tischrechner wissenschaftlich rechnen konnte.<br>
		    Das obige Bild zeigt einen 1,80m langen Schul-Demo-Rechenschieber aus Holz (50er Jahre), der ab der 10. Klasse Schüler beglückte. Diese Methode hatte auch Vorteile: Sinnlose Genauigkeiten waren unmöglich, der "Rechner" war preiswert und die Rechengeschwindigkeit recht hoch. Nachteil: Man konnte damit nicht addieren oder subtrahieren.<br>
		    Um schon in den 20er Jahren noch genauer rechnen zu können, baute man sogenannte "Rechenwalzen", die bei dieser NESTLER-Walze mit einer Länge von 60cm im Prinzip einem 12,50m langen "zerschnittenen" Rechenschieber entsprach. Alle diese Geräte sind analoge Rechengeräte.
		</p>
		
