<?php
	$seiten_id = 'programmierbare';
	$version = '$Id: programmierbare.php 1058 2016-12-05 16:25:36Z heribert $';
	$titel = 'Programmierbare Rechner der 2. Generation';
	
	require "../../lib/technikum29.php";
?>
    <h2>Beispiele für programmierbare Rechner der 2. Generation</h2>
	
    <p>Rechner der 2. Generation hatten noch keine integrierte Schaltkreise. Das erschwerte den Bau leistungsf&auml;higer Rechner erheblich. Daher sind programmierbare Rechner dieser Spezies technisch besonders interessant. Schon 1966 brachte die deutsche Firma DIEHL einen solchen Rechner auf den Markt. Das Betriebsprogramm wird &uuml;ber einen Metall-Lochstreifen "gebootet" (siehe "Speichermedien"), Anwenderprogramme auf Papier-Lochstreifen gestanzt, die wieder eingelesen werden k&ouml;nnen. Wahrlich die Steinzeit programmierbarer Rechner! Solche Komplett-Anlagen sind sehr rar.</p>
	
<h3>Diehl Combitron</h3><br>

<p>Der Diehl-Combitron war der erste funktionsfähige programmierbare Tischrechner, der in Deutschland gebaut und vertrieben wurde (1966-68).
Die ersten Combitron-Maschinen waren ohne Schnittstelle. Man hatte damit keine Möglichkeit, selbst geschriebene Programme zu speichern. Ein Programm konnte jedoch mit einem Zahlencode ausgedruckt werden, den man bei jedem "Neustart" über die Tastatur wieder eingeben musste. 

<div class="desc-left borderless no-copyright">
<a class="popup" href="/shared/photos/rechnertechnik/diehl-els.jpg">
        <img src="/shared/photos/rechnertechnik/diehl-els.jpg" alt="Diehl Lochstreifenstanzer" width="325" height="177" /></a>
	<p class="small"><b>Manueller Lochstreifenstanzer "DIEHL ELS"</b><br>
	Vergrößern: Bild anklicken!</p></div>


Wir haben einen solchen Rechner, der recht selten ist.  Die Prozedur war sehr umständlich. Diehl erkannte aber schnell, dass diese Art der Bedienung von den Interessenten auf geringe Resonanz stieß. Daher wurde bereits 1967 eine Schnittstelle im Rechner eingebaut, an welche ein Lochstreifenleser anschließbar war. Selbstgeschriebene Programme musste man jedoch an Diehl einsenden. Dort wurden davon gegen Bezahlung Lochstreifen erstellt, die ein paar Tage später per Post zugesandt wurden. <br>
Dieses Verfahren war sehr umständlich und zeitraubend.
		Der Konkurrent "Olivetti" war hier viel fortschrittlicher. <br>
		Dem Druck der Anwender folgend baute man schließlich einen manuellen Lochstreifenstanzer (Diehl ELS), der sozusagen offline betrieben wurde. Es ist das preiswerte Gegenstück zu den Lochkartenstanzern.  </p>
		
	
	<div class="desc-left borderless no-copyright">
	<a class="popup" href="/shared/photos/rechnertechnik/diehl-els-detail.jpg">
        <img src="/shared/photos/rechnertechnik/diehl-els-detail.jpg" alt="Diehl Lochstreifenstanzer" width="325" height="242" />
		</a>
		<p class="small"><b>DIEHL ELS Lochstreifenstanzer Ausschnitt</b><br>
		Vergrößern: Bild anklicken!</p>
		 </div>

<br><br>
		
		Das Detail-Bild zeigt, wie Befehle und Ziffern in den Lochcode umzusetzen waren. Immerhin konnte man damit "just in time" arbeiten.
		Um mit dem Konkurrenten Olivetti mithalten zu können wurde als letzte Version der Lochstreifenstanzer ELS 830, der zunächst nur für den fabrikinternen Gebrauch gedacht war, auch an Kunden verkauft. Dieser Stanzer stanzt die Lochstreifen bei der Eingabe des Programms auf der Tastaur mit. Der Übersetzungscode ist damit entbehrlich.
		
		
    <div class="box center auto-bildbreite">
        <img src="/shared/photos/rechnertechnik/combitron-s.jpg" alt="Diehl Combitron" width="850" height="284" />
		<p class="small"> <b>DIEHL Lochstreifenstanzer ELS830, Combitron-S, Dilector</b></p>
		</div>
		 
		<p> Hier ist die <b>Combitron-S</b> (1968-71) abgebildet, die zusätzlich 10 Programmspeicher, 10 Konstantenspeicher und 2 Sprungbefehle gegenüber der Ur-Combitron hatte. Als Speichermedium dient ein <a href="speichermedien.php#magnetostriktion" name="backlink-diehl" title="Laufzeitspeicher" class="go">Laufzeitspeicher</a> (Kapazität ca. 1000 Bit). Es handelt sich um einen "flüchtigen Speicher". Nach dem Abschalten waren alle Programme und Daten weg. Der Lochstreifenleser "Dilector" erlaubte schließlich das erneute Einlesen abgelochter Programme.</p><br>
		
		
	
<h3 id="101">Olivetti Programma 101</h3>

    <p>Im selben Jahr (1966) erschien die Olivetti Programma 101 auf dem Markt. Erstmals in der Geschichte der EDV war es für Ingenieurbüros möglich, einen "kleinen" Rechner zu erwerben, auf welchem man schnell eigene Programme auf Magnetkarten abspeichern konnte. Die Maschine mit viel Mechanik wurde zu einem Verkaufsschlager. Billig war dieser Einstieg nicht: Doch der Preis von 14800,- DM + Steuer (ca. 8000,- Euro) machte sich durch Einsparen von viel manueller Rechenzeit schnell bezahlt.</p>

    <div class="desc-left borderless">
       <img src="/shared/photos/rechnertechnik/olivetti_programma101.jpg" alt="Programma 101" width="379" height="301" class="weisser-rahmen" />
       <p class="small">Die legendäre <b>PROGRAMMA 101</b> von Olivetti. </p>
	   </div>
	   
          <p> Man könnte die P 101 auch als ersten Personal-Computer der Welt bezeichnen. Aber eigentlich ist es mühsam, darüber zu philosophieren, welcher Rechner der "erste" PC war.<br/>
           In der Mitte ist die Magnet-Programmkarte zu sehen. Das Speichern von Programmen ist bei dem P101 gegenüber der Combitron sehr komfortabel.<br>
           Der eingebaute magnetostriktive Laufzeitspeicher ist in 10 Register aufgeteilt, wobei jedes Register aus 24 Speicherzellen zu je 8 Bit besteht. Das entspricht ca. 240 Byte Speicherkapazität. Der folgende Link führt auf eine kurze Erläuterung des hier verwendeten Speichermediums, dem <a class="go" name="backlink-olivetti" href="speichermedien.php#magnetostriktion">Laufzeitspeicher</a><br>
		   Heute ist dieser Rechner vor allem wegen seines ungewöhnlich schönen und preisgekrönten Designs gesucht. Die Reparatur ist aufwändig, da sich alle Kunststoff-Rollen des Magnetkartenantriebs "verflüssigt" haben und der kleine Trommeldrucker Probleme bereitet. Dennoch: Unsere P 101 ist voll funktionsfähig.
       </p>
	<br>
	
	
<h3>WANG 320</h3>
    <p>Hochinteressant ist auch der 1967 gebaute wissenschaftliche Rechner "WANG 320". Ein extrem seltenes Ger&auml;t mit Lochkartenprogrammierung und mehreren Keyboards, f&uuml;r die damalige Zeit eine Weltsensation.</p>

    <div class="box center auto-bildbreite">
        <a href="/de/geraete/wang320.php" name="backlink-wang320"><img src="/shared/photos/rechnertechnik/wang320.jpg" alt="WANG 320 SE" width="690" height="287" /></a>
        <p><b>WANG 320 SE</b></p></div>
		
             <p>Für 1966/67 war dies ein Tischrechner der Superlative. Zwei Eigenheiten waren damals sensationell: Die sehr schnelle Ermittlung von Werten zur Exponential- und Logarithmusfunktion (schneller als die Berechnung der Wurzel einer Zahl) sowie die Tatsache, dass bis zu 4 Keyboards angeschlossen werden konnten. Alle Anwender können gleichzeitig auf den Rechner zugreifen. Längere Programme die man per Lochkarte eingibt, werden unterbrochen um kurze Berechnungen von einem anderen Keyboard zu übernehmen. Danach wird das Programm weiter ausgeführt. Ein ideales Gerät für Schulen und Universitäten. Die präparierten 80-spaltigen Lochkarten können offline mit einem Stift auf einer Schablone "gestanzt" werden. Während an den meisten Hochschulen noch mit dem Rechenschieber gerechnet wurde, begann bei den wenigen, die im Besitz dieser Rechner waren bereits die Zeit der Informatik. Durch Anklicken des Bildes erhalten Sie eine Detailaufnahme.
        </p>
    
<h3>Hewlett Packard HP 9100</h3>

    <div class="box center auto-bildbreite">
        <img src="/shared/photos/rechnertechnik/hp-9100.jpg" alt="HP-9100" width="557" height="432" />
        <p>
		    <b>HP 9100</b></p></div>
			<p>1968 brachte der erste Tischrechner von HP die Wissenschaftler zum staunen. Er ist ohne ICs aufgebaut und beherrscht alle wesentlichen wissenschaftlichen Funktionen. Als interner Speicher dient ein Kernspeicher, bei dem auch nach dem Abschalten Programme und Daten nicht verloren gehen. Als externer Speicher werden Magnetkarten (kleiner als die von Olivetti) verwendet. Der aufgesetzte Drucker war optional. Als Anzeigemedium dient eine Oszilloskopröhre, mit welcher der Inhalt von 3 Registern abgebildet wird. Die Zeichengenerierung wird von einem gefädelten ROM übernommen. Mit diesem relativ kompakten Rechner hat HP Maßstäbe gesetzt. Billig war ein solcher Rechner nicht: Er kostete anfangs 23.000,- DM  (etwa 12.000 Euro) und war daher für Privatpersonen praktisch unerschwinglich. <br/>
            Der Hauptkonkurrent WANG konnte erst 2 Jahre später mit dem WANG 700 (s.u.) nachziehen.</p>
        </p>

	
	<div class="box center auto-bildbreite">
        <img src="/shared/photos/rechnertechnik/hp9100-display.jpg" alt="HP-9100-Display" width="557" height="198" />
        <p class="center"> Großaufnahme des Bildröhren-Displays vom HP 9100.</p>
	</div>

  
